org.vishia.commander

## Class FcmdDelete

- java.lang.Object
- - org.vishia.commander.FcmdDelete

-     public class FcmdDelete
      extends java.lang.Object

  This class contains all functionality to execute copy and move for The.file.Commander.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) GralUserAction` | `actionConfirmDelete` Key F8 for delete command.
    `(package private) GralUserAction` | `actionDelete`
    `(package private) FileRemote` | `currentDirWhereDelete`
    `(package private) EventSource` | `evSrc`
    `(package private) FcmdFileCard` | `fileCard` The file card where the directory content is shown where the file will be deleted.
    `(package private) java.util.List<EventCmdtypeWithBackEvent<?,?>>` | `listEvDel`
    `(package private) java.util.List<FileRemote>` | `listFileDel` Name of the file which is attempt to delete.
    `protected Fcmd` | `main`
    `(package private) java.lang.String` | `sFileDelete` Content of the widgDeletePath on confirmation invocation, to compare on actionDelete.
    `(package private) EventConsumer` | `success`
    `(package private) GralWidget` | `widgButtonOk`
    `(package private) GralWidget` | `widgDelete` Buttons.
    `(package private) GralTextField_ifc` | `widgDeleteDir`
    `(package private) GralTextField_ifc` | `widgDeletePath`
    `(package private) GralValueBar` | `widgProgress`
    `(package private) GralWidget` | `widgRemoveToTrash` Buttons.
    `(package private) GralTextField_ifc` | `widgTrashPath`
    `(package private) GralWindow_ifc` | `windConfirmDelete`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FcmdDelete(Fcmd main)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `buildWindowConfirmDelete()` Builds the content of the confirm-delete window.
    `(package private) void` | `confirmDelete(java.io.File src111)` Opens the confirm-delete window and fills its fields to ask the user whether confirm.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### main

          protected final Fcmd main

    - #### windConfirmDelete

          GralWindow_ifc windConfirmDelete

    - #### widgDeleteDir

          GralTextField_ifc widgDeleteDir

    - #### widgDeletePath

          GralTextField_ifc widgDeletePath

    - #### widgTrashPath

          GralTextField_ifc widgTrashPath

    - #### widgProgress

          GralValueBar widgProgress

    - #### widgRemoveToTrash

          GralWidget widgRemoveToTrash

      Buttons.

    - #### widgDelete

          GralWidget widgDelete

      Buttons.

    - #### widgButtonOk

          GralWidget widgButtonOk

    - #### listFileDel

          java.util.List<FileRemote> listFileDel

      Name of the file which is attempt to delete.

    - #### sFileDelete

          java.lang.String sFileDelete

      Content of the widgDeletePath on confirmation invocation, to compare on actionDelete. If the user does not change the field, the listFileDel is valid.

    - #### listEvDel

          final java.util.List<EventCmdtypeWithBackEvent<?,?>> listEvDel

    - #### fileCard

          FcmdFileCard fileCard

      The file card where the directory content is shown where the file will be deleted.

    - #### currentDirWhereDelete

          FileRemote currentDirWhereDelete

    - #### evSrc

          EventSource evSrc

    - #### actionConfirmDelete

          GralUserAction actionConfirmDelete

      Key F8 for delete command. Its like Norton Commander.

    - #### actionDelete

          GralUserAction actionDelete

    - #### success

          EventConsumer success

  - ### Constructor Detail

    - #### FcmdDelete

          FcmdDelete(Fcmd main)

  - ### Method Detail

    - #### buildWindowConfirmDelete

          void buildWindowConfirmDelete()

      Builds the content of the confirm-delete window. The window is created static. It is shown whenever it is used.

    - #### confirmDelete

          void confirmDelete(java.io.File src111)

      Opens the confirm-delete window and fills its fields to ask the user whether confirm.
      Parameters:
        `src` - The path which is selected as source. It may be a directory or a file.